(function($) {
  function closePopin() {
    $('.pm-tools-workflow-block').remove();
    $('#content').show();
  }
  function getTrackerInfo(tracker) {
    var trackerData = {
      'feature': {
        'image': 'https://pm.i20.biz/attachments/download/19693/redmine_flow_feature.png',
        'link': 'https://sites.google.com/a/i20.biz/i20-terrim/cod-holding/standards/development/pravila-raboty-v-redmajne/3-pravilo-raboty-s-zadacami/3-2-user-story-feature'
      },
      'support': {
        'image': 'https://pm.i20.biz/attachments/download/19693/redmine_flow_feature.png',
        'link' : 'https://sites.google.com/a/i20.biz/i20-terrim/cod-holding/standards/development/pravila-raboty-v-redmajne/3-pravilo-raboty-s-zadacami/3-2-user-story-feature'
      },
      'task' : {
        'image': 'https://pm.i20.biz/attachments/download/19692/redmine_flow_task.jpg',
        'link' : 'https://sites.google.com/a/i20.biz/i20-terrim/cod-holding/standards/development/pravila-raboty-v-redmajne/3-pravilo-raboty-s-zadacami/3-3-task'
      },
      'bug' : {
        'image': 'https://pm.i20.biz/attachments/download/19691/redmine_flow_bug.jpg',
        'link' : 'https://sites.google.com/a/i20.biz/i20-terrim/cod-holding/standards/development/pravila-raboty-v-redmajne/3-pravilo-raboty-s-zadacami/3-4-bug'
      },
      'epic' : undefined
    };
    return trackerData[tracker];
  }

  if ($('.issue').length) {
    var issueTitleParts =  $('h2').text().split(' ');
    var tracker = issueTitleParts[0].toLowerCase();

    var trackerData = getTrackerInfo(tracker);
    if (trackerData === undefined) {
      return;
    }
    var $subject = $('.subject');

    $('#sidebar, #header').click(closePopin);
    $(document).keyup(function(event) {if (event.keyCode === 27) closePopin()});

    var workflowBlock = $('<div class="workflow-image" style="float: right">'
      + '<p><strong>Workflow</strong></p>'
      + '<img src="' + trackerData.image +'" width="200px">'
      + '</div>');
    $('img', workflowBlock).click(function() {
      var blockStyle = "position: absolute; width: 75%; height: 100%; background-color: #fff; z-index: 20; text-align:center";
      var closeButton = $("<div class='pm-tools-close-button' style='float:right; font-size: 50px; cursor: pointer'>×</div>");
      closeButton.click(closePopin);

      var element = $('<div class="pm-tools-workflow-block" style="'+ blockStyle +'">'
        + '<img style="display: inline-block" src="' + $(this).attr('src') +'" />'
        + '<p><a href="' + trackerData.link + '" target="_blank" style="padding-bottom: 20px; font-size: 25px; font-weight:600">Больше информации</a></p>'
        +' </div>"');
      element.prepend(closeButton);

      $('#main').prepend(element);
      $('#content').hide();
    });
    $subject.append(workflowBlock);
  }
})(jQuery);
