# PM Tools
Расширение для более легкой работы с Redmine. В основном предназначено для разработчиков, но остальным тоже не повредит.

## Особенности

### pm.i20.biz
* Делает список проектов списком с поиском

![Список проектов](https://git.i20.biz/zvse/pm-tools/raw/master/misc/project_list.png)
* Открытие списка проектов по клавише **F** 
* Добавляет кнопки в задачу:
1. *Commit message* - Копирует текст в формате `[#номер_задачи] название задачи`
2. *In Progress* - Назначает задачу на текущего пользователя и ставит статус In progress
3. По нажатии на номер задачи копирует название ветки для разработчика. Формат - `feature-12345`
* Добавляет подсказки по флоу в задачу. Для каждого отдельного типа задачи по нажатию на изображение справа доступен флоу.


### drupal.org
* На marketplace http://drupal.org/marketplace добавляет номер в рейтинге к каждой записи

### prj.adyax.com
* Добавляет кнопку *Commit message*

## Установка:

### Firefox:
1. Скачайте .xpi файл из папки https://git.i20.biz/zvse/pm-tools/tree/master/releases
2. Откройте с помощью Firefox
3. Нажмите ОК

### Google Chrome
0. Скачайте архив из папки https://git.i20.biz/zvse/pm-tools/tree/master/releases
1. Распакуйте архив с расширением в любую папку
1. Откройте `chrome://extensions` через адресную строку 
2. Выделите галочку `Developer mode` справа сверху
3. Нажмите на кнопку `Load unpacked`
4. Укажите путь до распакованого расширения
