(function($) {
  var $status = $('.status.attribute');
  var statusText = $status.find('.value').html();

  if (statusText === 'New' || statusText === 'Feedback') {
    var $button = $('<button>In progress</button>').on('click', function (e) {
      e.preventDefault();
      var $form = $('#issue-form');
      var options = $form.find('#issue_assigned_to_id option').each(function () {
        if ($(this).html() === '&lt;&lt; me &gt;&gt;') {
          var valueToChoose = $(this).val();
          $form.find('#issue_assigned_to_id').val(valueToChoose).change();
        }
      });
      $form.find('#issue_status_id').val('2').change();

      $form.submit();
    });
  }

  if (typeof $button !== 'undefined') {
    $status.append($button);
  }

})(jQuery);
